function [num,len]= bin_transform_dec(bin_matrix,bin_index)
nSize = length(bin_matrix);
len = ceil(nSize/bin_index);
csize = len*bin_index;
cpoint = zeros(1,csize);
cpoint(1:nSize) = bin_matrix;
num = zeros(1,len);
index = 0;
for i=1:len%十进制的矩阵变为二进制的的矩阵
    apoint = zeros(1,bin_index);
    apoint = cpoint((i-1)*bin_index+1:i*bin_index);
    for j = 1:bin_index
        num(i) = num(i) + 2^(j-1)*apoint(bin_index + 1 - j);
    end
end

